Subject: Re: bug#36459: 27.0.50; octave-mode ElDoc support bug

From: Leo Liu <[email-masked]>
Date: Wed, 31 Jul 2019 01:53:21 +0800

On 2019-07-30 17:37 +0300, Dmitry Gutov wrote:
> I've tried to verify the fix myself, and foremost to see whether the
> cases where ElDoc should be displayed still work.
>
> But I haven't managed to find working ones, with either version of the
> regexp. My Octave version is 4.2.2.
>
> The output of e.g. print_usage ('abs') is:
>
>   error: Invalid call to abs.  Correct usage is:
>
>    -- abs (Z)

I just tried this on a few octaves >= 4.0 and they all had this problem.
If I remember correctly the function used to work with octave 3.8. It
seems that is the new output format i.e. they all start with this
useless "error: Invalid call to XXX". The regexp might need change.